MCP endpoint method not allowed (DELETE)

DELETE /api/v1/projects/{id}/mcp

The MCP endpoint is a stateless server: only POST is supported. DELETE (session teardown) is rejected.

Path parameters

  • id string Required

    Project ID

Responses

  • 404 application/json

    MCP access not enabled for this project

    Hide response attributes Show response attributes object
    • code string
    • error string
    • success boolean
  • 405 application/json

    Method not allowed

    Hide response attributes Show response attributes object
    • code string
    • error string
    • success boolean
DELETE /api/v1/projects/{id}/mcp
curl \
 --request DELETE 'https://agentengine.mongodb.com/api/v1/projects/{id}/mcp' \
 --header "Authorization: $API_KEY"
Response examples (404)
{
  "code": "string",
  "error": "string",
  "success": true
}
Response examples (405)
{
  "code": "string",
  "error": "string",
  "success": true
}